DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# node-list-filter-out-pis

## Name

node-list-filter-out-pis -- Returns the nodelist with all PIs removed

## Synopsis

    (node-list-filter-out-pis nodelist)

## Description

Returns a node list containing all the nodes from `nodelist` that are not PIs. The order of nodes in the node list is preserved.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (node-list-filter-out-pis nodelist)
      ;; Returns the nodelist with all PIs removed
      (let loop ((result (empty-node-list)) (nl nodelist))
        (if (node-list-empty? nl)
    	result
    	(if (equal? (node-property 'class-name (node-list-first nl)) 'pi)
    	    (loop result (node-list-rest nl))
    	    (loop (node-list result (node-list-first nl))
    		  (node-list-rest nl))))))

Prev | Home | Next
node-list-filter-by-not-gi | Up | node-list-filter-elements